Bug 796391 - consolidate managed resources better under AS7 instances
consolidate managed resources better under AS7 instances
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.3
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 796480
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-02-22 14:42 EST by Simeon Pinder
Modified: 2012-11-21 17:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simeon Pinder 2012-02-22 14:42:54 EST
Description of problem: Managed resource list in left navigation tree is too verbose for AS7.
JBossAS 4
 -> Applications
 -> JBoss Cache subsystem
 -> JVM
 -> Resources 

JBossAS 7
 -> datasources
 -> deployment-scanner
 -> infinispan
 -> logging
 -> naming
 -> Network Interfaces
 -> platform-mbean
 -> resource-adapters
 -> security
 -> SocketBindingGroupStandalones
 -> threads
 -> transactions
 -> webservices
 -> web
This list represents various subsystems, components, etc in and unorganized list.

Instead the hierarchy should read something like the following for AS7 instead:
  -> Deployments
  -> System Properties/Pathes
  -> Core Services
  -> Extensions
  -> Network Interfaces
  -> Socket Binding Groups
  -> Subsystems

To better reflect the hierarchical organization as reported by the json/dmr component hierarchy.

Version-Release number of selected component (if applicable):


How reproducible:
N/A.

Steps to Reproduce:
1. N/A.

  
Actual results:
Unordered with subsystems displayed as top level entities. 

Expected results:
More ordered listing.

Additional info:
Comment 1 Simeon Pinder 2012-02-22 14:52:47 EST
Correction. System Properties/Paths don't need to appear in this list as they should just be light properties of the AS7 instance as loaded by <c:group name="children:system-property:name+" ...
Comment 2 Simeon Pinder 2012-02-23 04:07:13 EST
The first approach, used by AS4 and AS5 plugin descriptors, does not work with AS7.  See bug https://bugzilla.redhat.com/show_bug.cgi?id=796480.

I may have to toss this one back to Heiko as it's more difficult to address the tree re-organization than I initially thought.  An alternative approach would be to create an over-arching ResourceType for all Subsystem resource for example. I'm not sure how well that would work with some of the subsystems having numerous parents as defined by runs-inside.

I'll assign this one to Heiko for now.
Comment 3 Mike Foley 2012-02-27 12:12:49 EST
triage 2/27/2012 mfoley, asantos, crouch, loleary
Comment 4 Heiko W. Rupp 2012-05-22 03:51:35 EDT
Looks like our 

<runs-inside> with multiple targets seems to break sub-categories.

I think we need to update the plugin metadata parser to apply the subcategory
for all the children of the runs-inside. 

We have had similar issues where upgrades to some metric definitions did not make  it to derived resources (Bug 747925) - but then we may hit a different cause here.
Comment 5 Larry O'Leary 2012-11-21 17:47:45 EST
Removing target as this needs to be triaged in RHQ project and is not JBoss ON specific.

Note You need to log in before you can comment on or make changes to this bug.